Subject: Re: Emacs ignores signals
From: Edwin Goei <[email-masked]>
To: "Karr, David" <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Apr 2007 09:29:07 -0700
List-Id: <cygwin.cygwin.com>

Karr, David wrote:
> I'm guessing you weren't using the Cygwin-built xemacs.  I use Xemacs
> built for Cygwin, and I haven't been able to send signals to
> subprocesses for a long time.
>   
No, I am using the xemacs installed from the cygwin installer. The 
precise version is: "XEmacs 21.4 (patch 20) \"Double Solitaire\" [Lucid] 
(i686-pc-cygwin, Mule) of Fri Dec 15 2006 on vzell-de" and I am able to 
C-c C-c to interrupt a process in shell-mode. This does not work with 
gnu emacs 21.3.50.1 nor 21.2.x. Anyone else seeing this or have a fix?

The main reason I tried to switch is because I wanted to run "vc-svn.el" 
or VC support for subversion. This signals problem is now the major 
hurdle for me.

-Edwin
>   
>> -----Original Message-----
>> From: [email-masked] 
>> [mailto:[email-masked]] On Behalf Of Edwin Goei
>> Sent: Saturday, April 14, 2007 9:47 AM
>> To: [email-masked]
>> Subject: Emacs ignores signals
>>
>> I just switched from xemacs to gnu emacs 21.3.50.1 on cygwin
>> 1.5.24(0.156/4/2) with an X server (the latest versions I can 
>> find). I have shell-mode working, except that signals sent to 
>> the subprocess are ignored. For example, if I want to cancel 
>> or stop a process, I should be able to type C-c C-c or C-c 
>> C-z to interrupt or stop it. The "Signals" menu items are 
>> also ignored. Any ideas? This works fine in xemacs.
>>
>> -Edwin
>>
>> --
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Problem reports:       http://cygwin.com/problems.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/
>>
>>
>>     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/